<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">


<head>
    <meta charset="utf-8">
    <meta content="ie=edge" http-equiv="x-ua-compatible">

    <title>Main page</title>

    <style>
            input, button {
                width: 300px;
                height: 30px;
            }


    </style>

</head>

<body>

<div align="center">

    <div sec:authorize="isAuthenticated()">

        <div th:replace="fragments/header :: header"></div>

        <h1 style="color:red">You are already logged!</h1>

    </div>

    <div sec:authorize="isAnonymous()">

        <h1>LOGIN PAGE</h1>

        <div th:if="${param.error}">
            <div>
                <h3 style="color:red">Invalid username and password!</h3>
            </div>
        </div>
        <div th:if="${param.logout}">
            <div>
                <h3 style="color:green">You have been logged out.</h3>
            </div>
        </div>

        <form method="post" th:action="@{/login}">

            <p>
                <input autofocus="autofocus" id="username" name="username" placeholder="Username" required type="text"/>
            </p>
            <p>
                <input id="password" name="password" placeholder="Password" required type="password"/>
            </p>
            <p>
                <input type="submit" value="Log in"/>
            </p>

        </form>

        <h3>
            <a th:href="@{/registration}">Registration</a>
        </h3>

    </div>

    <div th:replace="fragments/footer :: footer"></div>

</div>

</body>
</html>